/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * Copyright (c) 2024 STMicroelectronics.
  * All rights reserved.
  *
  * This software is licensed under terms that can be found in the LICENSE file
  * in the root directory of this software component.
  * If no LICENSE file comes with this software, it is provided AS-IS.
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32f1xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define PhaseAHiResponse_Pin GPIO_PIN_3
#define PhaseAHiResponse_GPIO_Port GPIOA
#define PhaseAHiResponse_EXTI_IRQn EXTI3_IRQn
#define PhaseALoResponse_Pin GPIO_PIN_4
#define PhaseALoResponse_GPIO_Port GPIOA
#define PhaseALoResponse_EXTI_IRQn EXTI4_IRQn
#define PhaseBHiResponse_Pin GPIO_PIN_5
#define PhaseBHiResponse_GPIO_Port GPIOA
#define PhaseBHiResponse_EXTI_IRQn EXTI9_5_IRQn
#define PhaseBLoResponse_Pin GPIO_PIN_6
#define PhaseBLoResponse_GPIO_Port GPIOA
#define PhaseBLoResponse_EXTI_IRQn EXTI9_5_IRQn
#define PhaseAHi_Pin GPIO_PIN_0
#define PhaseAHi_GPIO_Port GPIOB
#define PhaseALo_Pin GPIO_PIN_1
#define PhaseALo_GPIO_Port GPIOB
#define PhaseBHi_Pin GPIO_PIN_10
#define PhaseBHi_GPIO_Port GPIOB
#define PhaseBLo_Pin GPIO_PIN_11
#define PhaseBLo_GPIO_Port GPIOB
#define PhaseAHiSignal_Pin GPIO_PIN_12
#define PhaseAHiSignal_GPIO_Port GPIOB
#define PhaseALoSignal_Pin GPIO_PIN_13
#define PhaseALoSignal_GPIO_Port GPIOB
#define PhaseBHiSignal_Pin GPIO_PIN_14
#define PhaseBHiSignal_GPIO_Port GPIOB
#define PhaseBLoSignal_Pin GPIO_PIN_15
#define PhaseBLoSignal_GPIO_Port GPIOB

/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
