#include "tester_interface_func.h"


/**
  * @brief Инициализация структур интерфейса 
  */
void TESTER_InterfaceInit(GPIO_SwitchTypeDef *swstart, TESTER_LEDsTypeDef *leds)
{
}

/**
* @brief Включить индикацию таймаута старта при активации теста
	*/
void TESTER_LED_TimeoutForStartTest(GPIO_LEDTypeDef *led)
{
  GPIO_LED_Off(led);
}

/**
  * @brief Включить индикацию прямого подключения диода
	*/
void TESTER_LED_TestingDiodeForward(GPIO_LEDTypeDef *led)
{
  GPIO_LED_Blink_Start(led, LED_FORWARD_DIODE_PERIOD);
}
/**
  * @brief Включить индикацию обратного подключения диода
	*/
void TESTER_LED_TestingDiodeReverse(GPIO_LEDTypeDef *led)
{
  GPIO_LED_Blink_Start(led, LED_REVERSE_DIODE_PERIOD);
}
/**
  * @brief Выключить индикацию ожидания комманды
  * @details Сделано через моргание, чтобы понимать, что системные тики работают
	*/
void TESTER_LED_WaitForAction(GPIO_LEDTypeDef *led)
{
  GPIO_LED_Blink_Start(led, LED_BLINK_AS_ON);
}
